
Redmine - Patch #26125

Unify form#query_form on calendar/gantt views with issues/spent time views

2017-06-09 00:05 - Mischa The Evil

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: UI Estimated time: 0.00 hour

Target version: 4.0.0   

Description

I noticed a difference between the rendering of the query filter forms on the issues & spent time views and the query filter forms on

the calendar and gantt views. I fixed it with the following changes:

1. Fix HTML structure of form#query_form on calendar/gantt views.

This unifies the HTML structure of the query form on the calendars/show

and gantts/show views to be the same as it is currently for the issues

and spent time views, which were themself unified into the new

queries/_query_form partial in r15649.

2. Fix source indentation and newline usage.

This unifies the source layout of the query form on the calendars/show

and the gantts/show views with the queries/_query_form partial.

3. Unify form#query_form structure on calendar/gantt views.

This:

moves the p with inline style on the calendar view (which

wraps the navigation buttons) out of div#query_form_content

and adds the contextual class to the element to unify this

with the gantt view (and to remove the inline style from

the element now that it's styled through a stylesheets'

style [.contextual in fact]);

restores the 12px font-size of the calendar navigation

buttons;

increases the font-size of the gantt zoom buttons to 12px;

increases the margin of the calendar navigation and gantt

zoom buttons to 12px 0px.

4. Add test assertions to the four controller test cases.

To make the changes a bit more visual, here some ASCII and image graphics:

view was becomes

issues
  form#query_form

    inputs

    div#query_form_with_buttons

.hide-when-print

      div#query_form_content

        fieldset#filters.collap

sible

        fieldset#options

      p.buttons

  form#query_form

    inputs

    div#query_form_with_buttons

.hide-when-print

      div#query_form_content

        fieldset#filters.collap

sible

        fieldset#options

      p.buttons

spenttime
  form#query_form

    inputs

    div#query_form_with_buttons

.hide-when-print

      div#query_form_content

        fieldset#filters.collap

sible

        fieldset#options

      p.buttons

  form#query_form

    inputs

    div#query_form_with_buttons

.hide-when-print

      div#query_form_content

        fieldset#filters.collap

sible

        fieldset#options

      p.buttons
calendar
  form#query_form

    inputs

    fieldset#filters.collapsibl

e

    p(inlineStyles)

    p.buttons

  form#query_form

    inputs

    div#query_form_with_buttons

.hide-when-print

      div#query_form_content

        fieldset#filters.collap

sible

      p.contextual

      p.buttons

gantt
  form#query_form

    inputs

    fieldset#filters.collapsibl

e

    fieldset#options

    p.contextual

    p.buttons

  form#query_form

    inputs

    div#query_form_with_buttons

.hide-when-print

      div#query_form_content

        fieldset#filters.collap

sible

        fieldset#options

      p.contextual

      p.buttons

I'll attach four patches implementing these changes. This patch serial, against current source:/trunk@16643, is produced using git

format-patch which makes the individual patches apply-able using "patch -p1 < 0001-...".

Environment:

Environment:

  Redmine version                3.3.3.devel@r16643

  Ruby version                   2.3.3-p222 (2016-11-21) [x86_64-linux]

  Rails version                  4.2.8

  Environment                    production

  Database adapter               Mysql2

SCM:

  Subversion                     1.8.8

  Git                            1.9.1

  Filesystem                     

Redmine plugins:

  no plugin installed

Related issues:

Related to Redmine - Patch #28602: Move edit and delete buttons for queries t... Closed

Associated revisions

Revision 16701 - 2017-06-25 17:15 - Jean-Philippe Lang

Fix HTML structure of query_form on calendar/gantt views (#26125).

This unifies the HTML structure of the query form on the calendars/show

and gantts/show views to be the same as it is currently for the issues

and spent time views, which were themself unified into the new

queries/_query_form partial in r15649.

Patch by Mischa The Evil.

Revision 16702 - 2017-06-25 17:16 - Jean-Philippe Lang

Fix source indentation and newline usage (#26125).
This unifies the source layout of the query form on the calendars/show

and the gantts/show views with the queries/_query_form partial.

Patch by Mischa The Evil.

Revision 16703 - 2017-06-25 17:16 - Jean-Philippe Lang

Unify query_form structure on calendar/gantt views (#26125).

This:

moves the p with inline style on the calendar view (which

wraps the navigation buttons) out of div#query_form_content

and adds the contextual class to the element to unify this

with the gantt view (and to remove the inline style from

the element now that it's styled through a stylesheets'

style [.contextual in fact]);

restores the 12px font-size of the calendar navigation

buttons;

increases the font-size of the gantt zoom buttons to 12px;

increases the margin of the calendar navigation and gantt

zoom buttons to 12px 0px.

Patch by Mischa The Evil.

Revision 16704 - 2017-06-25 17:17 - Jean-Philippe Lang

Add test assertions to the four controller test cases (#26125).

Patch by Mischa The Evil.

History

#1 - 2017-06-09 00:13 - Mischa The Evil

- File 0001-Fix-HTML-structure-of-query_form-on-calendar-gantt-v.patch added

- File 0002-Fix-source-indentation-and-newline-usage.patch added

- File 0003-Unify-query_form-structure-on-calendar-gantt-views.patch added

- File 0004-Add-test-assertions-to-the-four-controller-test-case.patch added

- Description updated

Edit: seems like using thumbnails in tables causes some issues; replaced with regular image tags.

Edit 2: for anyone searching for the visual differences: only the calendar and gantt views are affected by these changes

Also attaching the patches.

#2 - 2017-06-19 04:55 - Go MAEDA

- Target version set to 4.1.0

Looks good to me. Passed all test.

Since we are freezing 3.4.0 now and this issue is a kind of refactoring, I think it would be better to set target version to 3.5.0 instead of 3.4.0.

#3 - 2017-06-25 17:17 - Jean-Philippe Lang

- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

Patches are committed, thanks!

#4 - 2017-07-08 18:37 - Jean-Philippe Lang

- Target version changed from 4.1.0 to 4.0.0

#5 - 2018-04-22 10:13 - Marius BĂLTEANU

- Related to Patch #28602: Move edit and delete buttons for queries to the buttons section added

Files

issues-current.png 6.82 KB 2017-06-08 Mischa The Evil
spenttime-current.png 7.03 KB 2017-06-08 Mischa The Evil

calendar-current.png 6.99 KB 2017-06-08 Mischa The Evil

gantt-current.png 8.29 KB 2017-06-08 Mischa The Evil

issues-fixed.png 6.82 KB 2017-06-08 Mischa The Evil

spenttime-fixed.png 7.03 KB 2017-06-08 Mischa The Evil

calendar-fixed.png 6.81 KB 2017-06-08 Mischa The Evil

gantt-fixed.png 8.09 KB 2017-06-08 Mischa The Evil

0001-Fix-HTML-structure-of-query_form-on-calendar-gantt-v.patch 2.81 KB 2017-06-08 Mischa The Evil

0002-Fix-source-indentation-and-newline-usage.patch 8.28 KB 2017-06-08 Mischa The Evil

0003-Unify-query_form-structure-on-calendar-gantt-views.patch 2.25 KB 2017-06-08 Mischa The Evil

0004-Add-test-assertions-to-the-four-controller-test-case.patch 3.82 KB 2017-06-08 Mischa The Evil
